Bug 670354 - Review Request: perl-String-Similarity - Calculates the similarity of two strings
Summary: Review Request: perl-String-Similarity - Calculates the similarity of two str...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-18 00:04 UTC by Ruediger Landmann
Modified: 2013-06-07 12:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-04 03:00:10 UTC
Type: ---
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ruediger Landmann 2011-01-18 00:04:15 UTC
Spec URL: 
http://rlandmann.fedorapeople.org/packages/perl-String-Similarity.spec

SRPM URL: 
http://rlandmann.fedorapeople.org/packages/perl-String-Similarity-1.04-1.fc14.src.rpm

Description: 
The similarity function calculates the similarity index of its two arguments. 
A value of 0 means that the strings are entirely different. A value of 1 
means that the strings are identical. Everything else lies between 0 and 1 
and describes the amount of similarity between the strings.

rpmlint output:
$ rpmlint SPECS/perl-String-Similarity.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/perl-String-Similarity-1.04-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/x86_64/perl-String-Similarity-1.04-1.fc14.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Scratchbuild in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2727367

Comment 1 Marcela Mašláňová 2011-01-18 14:01:05 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
FIX - license field must match actual license - it's GPLv2+ if you look in source code
- text of the license in its own file must be included in %doc  OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides perl-String-Similarity-1.04-1.fc15.i686.rpm 
perl(String::Similarity) = 1.04
perl-String-Similarity = 1.04-1.fc15
perl-String-Similarity(x86-32) = 1.04-1.fc15

rpm -qp --requires perl-String-Similarity-1.04-1.fc15.i686.rpm 
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.3)  
perl(DynaLoader)  
perl(Exporter)  
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)  

Also you can remove rm -rf from build part.

Comment 2 Ruediger Landmann 2011-01-18 23:36:27 UTC
Thanks for the review Marcela.

I've updated the license to GPLv2+ and removed the unnecessary cleaning of the build root.

New spec file:
http://rlandmann.fedorapeople.org/packages/perl-String-Similarity.spec

New SRPM:
http://rlandmann.fedorapeople.org/packages/perl-String-Similarity-1.04-2.fc14.src.rpm

Cheers
Ruediger

Comment 3 Marcela Mašláňová 2011-01-19 09:52:28 UTC
ACCEPT

Comment 4 Ruediger Landmann 2011-01-19 23:05:28 UTC
New Package SCM Request
=======================
Package Name: perl-String-Similarity
Short Description: Calculates the similarity of two strings
Owners: rlandmann
Branches: f13 f14
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-01-20 14:39:59 UTC
Git done (by process-git-requests).

Comment 6 Marcela Mašláňová 2011-02-28 09:57:12 UTC
Ping?

Could you close it now? Closing review is a duty of reporter.

Comment 7 Ruediger Landmann 2011-03-04 03:00:10 UTC
Sorry Marcela! Closing...

Comment 8 Ruediger Landmann 2013-06-07 07:10:31 UTC
Package Change Request
======================
Package Name: perl-String-Similarity
New Branches: el6
Owners: rlandmann

Comment 9 Gwyn Ciesla 2013-06-07 12:47:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.